package net.thecodersbreakfast.generics.fluent;

public class AdvancedQueryBuilder<T extends AdvancedQueryBuilder<?>> extends BasicQueryBuilder<T> {

	public T orderBy(String... orders) {
		buf.append("\nORDER BY ");
		buf.append(join(",", orders));
		return (T) this;
	}

	public T groupBy(String... groups) {
		buf.append("\nGROUP BY ");
		buf.append(join(",", groups));
		return (T) this;
	}

	public T having(String... criteria) {
		buf.append("\nHAVING ");
		buf.append(join(" and ", criteria));
		return (T) this;
	}

}
